=== debian/rules ===
#!/usr/bin/make -f

package = original-awk
docdir = debian/tmp/usr/share/doc/$(package)

CC = gcc
CFLAGS = -g -Wall
STRIP = true

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = strip --remove-section=.comment --remove-section=.note
endif

build:
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)"
	touch build

clean:
	rm -f build
	$(MAKE) clean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build

binary-arch: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/bin usr/share/man/man1
	install -m 755 a.out debian/tmp/usr/bin/$(package)
	cd debian && install -m 755 postinst prerm tmp/DEBIAN
	install -m 644 debian/changelog $(docdir)/changelog.Debian
	install -m 644 awk.1 debian/tmp/usr/share/man/man1/$(package).1
	cp -p README FIXES debian/copyright $(docdir)
	cd $(docdir) && gzip -9 FIXES changelog.Debian
	ln -s FIXES.gz $(docdir)/changelog.gz
	$(STRIP) debian/tmp/usr/bin/*
	gzip -r9 debian/tmp/usr/share/man/man1
	dpkg-shlibdeps debian/tmp/usr/bin/*
	dpkg-gencontrol
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R 0:0 debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
