## original-awk 2011-05-06

=== debian/changelog ===
original-awk (2011-05-06-1) unstable; urgency=low

  * New upstream release. Closes: #627215.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Jun 2011 13:15:27 +0200
