## original-awk 2011-08-10

=== debian/changelog ===
original-awk (2011-08-10-2) unstable; urgency=low

  * Build with hardened flags.

 -- Santiago Vila <sanvila@debian.org>  Sun, 03 Jun 2012 17:00:18 +0200

original-awk (2011-08-10-1) unstable; urgency=low

  * New upstream release. Closes: #640653.
  * Added recommended targets build-arch and build-indep.

 -- Santiago Vila <sanvila@debian.org>  Thu, 22 Sep 2011 12:22:54 +0200
