=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Build-Depends: bison
 
 Package: original-awk
