=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,17 @@
 docdir = debian/tmp/usr/share/doc/$(package)
 
 CC = gcc
-CFLAGS = -g -Wall
+CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
+LDFLAGS := `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
 STRIP = true
 
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   STRIP = strip --remove-section=.comment --remove-section=.note
 endif
 
 build:
-	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)"
+	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS) $(CPPFLAGS)" ALLOC="$(LDFLAGS)"
 	touch build
 
 clean:
@@ -49,4 +48,8 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep clean
+build-arch: build
+
+build-indep: build
+
+.PHONY: binary binary-arch binary-indep build-arch build-indep clean
