## original-awk 2012-12-20

=== debian/changelog ===
original-awk (2012-12-20-6) unstable; urgency=medium

  * Rename all patches to end with .patch.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jan 2017 18:47:44 +0100

original-awk (2012-12-20-5) unstable; urgency=medium

  * Switch to dh. This should make the package reproducible again.
  * Pass both CFLAGS and CPPFLAGS to makefile, and modify makefile
    so that those variables are used when they have to be used.
    This way we can still use make's implicit .c to .o rule.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Oct 2015 12:29:16 +0200

original-awk (2012-12-20-4) unstable; urgency=medium

  * Multi-Arch: foreign. Closes: #795115.

 -- Santiago Vila <sanvila@debian.org>  Tue, 11 Aug 2015 17:48:00 +0200

original-awk (2012-12-20-3) unstable; urgency=low

  * Use gzip -n to make the build reproducible. Closes: #778203.
  * Fix mtimes before building binary package as well.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 14:00:42 +0200

original-awk (2012-12-20-2) unstable; urgency=medium

  * Added descriptions to debian/patches/*.
  * Added Homepage field.
  * Added hardening=+all.

 -- Santiago Vila <sanvila@debian.org>  Thu, 09 Oct 2014 12:42:52 +0200

original-awk (2012-12-20-1) unstable; urgency=low

  * New upstream release.
  * Pass YACC="bison -d -y" to upstream makefile.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Oct 2013 18:46:00 +0200
