## original-awk 2018-08-27

=== debian/changelog ===
original-awk (2018-08-27-1) unstable; urgency=medium

  * New upstream release, now hosted on github. Closes: #976161.
  * Upgrade build-dependency on debhelper.
  * Rules-Requires-Root: no.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Dec 2020 22:24:00 +0100
