=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: interpreters
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), bison
-Homepage: http://www.cs.princeton.edu/~bwk/btl.mirror/
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), bison
+Homepage: https://github.com/onetrueawk/awk
+Rules-Requires-Root: no
 
 Package: original-awk
 Architecture: any
