## original-awk 2022-09-12

=== debian/changelog ===
original-awk (2022-09-12-1) unstable; urgency=medium

  * Upstream does not (usually) make releases, and there are quite a
    number of memory handling fixes by Miguel Piñeiro Jr.
    Update the Debian package accordingly.

 -- Santiago Vila <sanvila@debian.org>  Sun, 05 Feb 2023 18:35:00 +0100

original-awk (2022-01-22-1) unstable; urgency=medium

  * New upstream release. Closes: #1019400.
  * Cross-building is now supported. Closes: #923023.
    Thanks to Helmut Grohne.
  * Set upstream metadata fields Bug-Database, Bug-Submit and Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Add Vcs-Git and Vcs-Browser fields.

 -- Santiago Vila <sanvila@debian.org>  Thu, 22 Dec 2022 16:35:00 +0100
