=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: interpreters
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), bison
 Homepage: https://github.com/onetrueawk/awk
+Vcs-Git: https://salsa.debian.org/sanvila/original-awk.git
+Vcs-Browser: https://salsa.debian.org/sanvila/original-awk
 Rules-Requires-Root: no
 
 Package: original-awk
