## original-awk 2023-11-27

=== debian/changelog ===
original-awk (2023-11-27-1) unstable; urgency=medium

  * New upstream version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 Dec 2023 23:20:00 +0100

original-awk (2023-10-30-1) unstable; urgency=medium

  * This version handles UTF-8 and comma-separated values (CSV) input.
  * Provide nawk, using alternatives. Closes: #868979.
  * Convert copyright file to machine-readable format.

 -- Santiago Vila <sanvila@debian.org>  Fri, 10 Nov 2023 15:30:00 +0100
