=== debian/control ===
--- 
+++ 
@@ -17,5 +17,5 @@
 Multi-Arch: foreign
 Description: The original awk described in "The AWK Programming Language"
  This is the version of awk described in "The AWK Programming Language",
- by Al Aho, Brian Kernighan, and Peter Weinberger
- (Addison-Wesley, 1988, ISBN 0-201-07981-X).
+ Second Edition, by Al Aho, Brian Kernighan, and Peter Weinberger
+ (Addison-Wesley, 2024, ISBN-13 978-0138269722, ISBN-10 0138269726).
