=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk

%:
	dh $@

package = original-awk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`

override_dh_auto_build:
	dh_auto_build -- CC="$(CC)" HOSTCC="$(CC_FOR_BUILD)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" ALLOC="$(LDFLAGS)"

override_dh_auto_install:
	install -m 755 a.out debian/$(package)/usr/bin/$(package)
	install -m 644 awk.1 debian/$(package)/usr/share/man/man1/$(package).1
