## original-awk 2024-06-23

=== debian/changelog ===
original-awk (2024-06-23-1) unstable; urgency=medium

  * New upstream version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Jun 2024 15:10:00 +0200
