## original-awk 2025-01-16

=== debian/changelog ===
original-awk (2025-01-16-1) unstable; urgency=medium

  * New upstream version.
  * Add a preliminary debian/salsa-ci.yml.
  * Add lintian override for testdir/t.a.
  * Do not trim Debian changelog.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 22 Jan 2025 20:10:00 +0100
