=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), bison
 Homepage: https://github.com/onetrueawk/awk
 Vcs-Git: https://salsa.debian.org/sanvila/original-awk.git
