=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,10 @@
 override_dh_auto_install:
 	install -m 755 a.out debian/$(package)/usr/bin/$(package)
 	install -m 644 awk.1 debian/$(package)/usr/share/man/man1/$(package).1
+
+override_dh_auto_test:
+	@echo blhc: ignore-line-regexp: compiling time.c
+	dh_auto_test
+
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim
