## original-awk 2025-08-04

=== debian/changelog ===
original-awk (2025-08-04-1) unstable; urgency=medium

  * New upstream version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 Aug 2025 18:20:00 +0200
